Package org.duckdb

## Enum StatementReturnType

- java.lang.Object
- - java.lang.Enum<StatementReturnType>
  - - org.duckdb.StatementReturnType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StatementReturnType>`

    public enum StatementReturnType
    extends java.lang.Enum<StatementReturnType>

### Enum Constant Summary

Enum Constants
`CHANGED_ROWS`
`NOTHING`
`QUERY_RESULT`

### Method Summary

All Methods Static Methods Concrete Methods
`static StatementReturnType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StatementReturnType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUERY_RESULT

    public static final StatementReturnType QUERY_RESULT

#### CHANGED_ROWS

    public static final StatementReturnType CHANGED_ROWS

#### NOTHING

    public static final StatementReturnType NOTHING

### Method Detail

#### values

    public static StatementReturnType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StatementReturnType c : StatementReturnType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StatementReturnType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null